org.richfaces.fragment.select

## Class RichFacesSelect

- java.lang.Object
- - org.richfaces.fragment.select.RichFacesSelect

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesSelect.AdvancedSelectInteractions>, AdvancedVisibleComponentIteractions<RichFacesSelect.AdvancedSelectInteractions>, Select

      public class RichFacesSelect
      extends Object
      implements Select, AdvancedVisibleComponentIteractions<RichFacesSelect.AdvancedSelectInteractions>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesSelect.AdvancedSelectInteractions`
    `class` | `RichFacesSelect.SelectSuggestionsImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesSelect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesSelect.AdvancedSelectInteractions` | `advanced()`
    `SelectSuggestions` | `openSelect()` Opens popup with suggestions list.
    `SelectSuggestions` | `type(String text)` Types a text to the input, deletes its value before doing it.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesSelect

          public RichFacesSelect()

  - ### Method Detail

    - #### advanced

          public RichFacesSelect.AdvancedSelectInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesSelect.AdvancedSelectInteractions>`

    - #### openSelect

          public SelectSuggestions openSelect()

      Description copied from interface: `Select`
      Opens popup with suggestions list.
      Specified by:
        `openSelect` in interface `Select`
      Returns:
        object by which it will be possible to select an option from select
      See Also:
        `SelectSuggestions`

    - #### type

          public SelectSuggestions type(String text)

      Description copied from interface: `Select`
      Types a text to the input, deletes its value before doing it.
      Specified by:
        `type` in interface `Select`
      Parameters:
        `text` - text to write
      Returns:
        object by which it will be possible to select an option from select
      See Also:
        `SelectSuggestions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.